FLTK 1.4.5: fl_ask.H File Reference

FLTK 1.4.5

Loading...
Searching...
No Matches
fl_ask.H File Reference

API for common dialogs. More...

`#include <FL/Enumerations.H>`
`#include <FL/fl_attr.h>`

Go to the source code of this file.

## Enumerations
enum | Fl_Beep { FL_BEEP_DEFAULT = 0 , FL_BEEP_MESSAGE , FL_BEEP_ERROR , FL_BEEP_QUESTION , FL_BEEP_PASSWORD , FL_BEEP_NOTIFICATION }
| Defines the different system beeps available. More...

## Functions
void void | fl_alert (const char *,...) __fl_attr((__format__(__printf__
void void int | fl_ask (const char *,...) __fl_attr((__format__(__printf__
void | fl_beep (int type=FL_BEEP_DEFAULT)
| Emits a system beep.
int | fl_choice (const char *q, const char *b0, const char *b1, const char *b2,...) __fl_attr((__format__(__printf__
int const char const char int | fl_choice_n (const char *q, const char *b0, const char *b1, const char *b2,...) __fl_attr((__format__(__printf__
int const char * | fl_input (const char *label, const char *deflt=0,...) __fl_attr((__format__(__printf__
int const char const char int const char * | fl_input (int maxchar, const char *label, const char *deflt=0,...) __fl_attr((__format__(__printf__
void | fl_message (const char *,...) __fl_attr((__format__(__printf__
void | fl_message_font (Fl_Font f, Fl_Fontsize s)
void | fl_message_hotspot (int enable)
| Sets whether or not to move the message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() to follow the mouse pointer.
int | fl_message_hotspot (void)
| Gets whether or not to move the message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() to follow the mouse pointer.
int const char const char int const char const char Fl_Widget * | fl_message_icon ()
| Gets the Fl_Box icon container of the current default dialog used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password().
void | fl_message_icon_label (const char *str)
| Sets the icon label of the dialog window used in many common dialogs.
void | fl_message_position (const int x, const int y, const int center=0)
| Sets the preferred position for the message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password().
void | fl_message_position (Fl_Widget &widget)
void | fl_message_position (Fl_Widget *widget)
| Sets the preferred position for the message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password().
int | fl_message_position (int *x=0, int *y=0)
| Gets the preferred position for the message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password().
void | fl_message_title (const char *title)
| Sets the title of the dialog window used in many common dialogs.
void | fl_message_title_default (const char *title)
| Sets the default title of the dialog window used in many common dialogs.
int const char const char * | fl_password (const char *label, const char *deflt=0,...) __fl_attr((__format__(__printf__
int const char const char int const char const char * | fl_password (int maxchar, const char *label, const char *deflt=0,...) __fl_attr((__format__(__printf__

## Variables
void void int | __deprecated__
const char * | fl_cancel
| string pointer used in common dialogs, you can change it to another language
const char * | fl_close
| string pointer used in common dialogs, you can change it to another language
Fl_Font | fl_message_font_
Fl_Fontsize | fl_message_size_
const char * | fl_no
| string pointer used in common dialogs, you can change it to another language
const char * | fl_ok
| string pointer used in common dialogs, you can change it to another language
const char * | fl_yes
| string pointer used in common dialogs, you can change it to another language

## Detailed Description

API for common dialogs.

## Enumeration Type Documentation

## ◆ Fl_Beep

enum Fl_Beep

Defines the different system beeps available.

Some systems may play different sounds or use different sound volume depending on the Fl_Beep value. The implementation is platform dependent.

See also
  fl_beep(int)

Enumerator
FL_BEEP_DEFAULT | Default beep.
FL_BEEP_MESSAGE | Message beep.
FL_BEEP_ERROR | Error beep.
FL_BEEP_QUESTION | Question beep.
FL_BEEP_PASSWORD | Password beep.
FL_BEEP_NOTIFICATION | Notification beep.

## Function Documentation

## ◆ fl_message_position()

void fl_message_position | ( | Fl_Widget & | widget | ) |
| inline

See also
  fl_message_position(Fl_Widget *widget).